/*------------------------------------------------------------------------------
 フォーム
 ------------------------------------------------------------------------------*/
.siteForm {
	margin: 15px 8px;
}

/* info */
.siteForm .info {
	display: none;
	line-height: 1.4;
}
.siteForm[data-mode="form"] .info._form,
.siteForm[data-mode="conf"] .info._conf,
.siteForm[data-mode="done"] .info._done {
	display: block;
}

/* notice */
.siteForm .notice {
	display: none;
	line-height: 1.4;
	color: #F00;
}
.siteForm[data-mode="form"] .notice {
	display: block;
}

/* notice2 */
.siteForm .notice2 {
	display: none;
	flex-direction: column;
	gap: 8px;
	padding: 8px;
	background: #EEE;
}
.siteForm .notice2 li {
	list-style: square;
	line-height: 1.3;
	margin-left: 10px;
}
.siteForm[data-mode="form"] .notice2 {
	display: flex;
}

/*------------------------------------------------------------------------------
 form
 ------------------------------------------------------------------------------*/
.siteForm form {
	;
}
.siteForm[data-mode="done"]  form {
	display: none;
}

.siteForm form > h4 {
	margin: 15px 0 10px;
	padding: 5px;
	font-size: 1em;
	font-weight: bold;
	color: #048;
	border-left: 4px solid #048;
}

/* dl */
.siteForm form dl {
	margin: 15px 0;
}

/* dt */
.siteForm form dt {
	display: flex;
	align-items: center;
	gap: 5px;
	padding: 8px;
	font-size: 92%;
	font-weight: bold;
	color: #048;
	background: #EEE;
}
.siteForm form dt small {
	display: none;
	font-size: 92%;
	font-weight: normal;
	color: #F00;
}
.siteForm[data-mode="form"] small {
	display: block;
}

/* dd */
.siteForm form dd {
	min-height: 20px;
	line-height: 1.4;
	margin: 10px 5px 0;
}
.siteForm form dd p.holder {
	line-height: 1.4;
}
.siteForm form dd p.note {
	line-height: 1.4;
	margin: 10px 0 0;
}
.siteForm form dd p.ib {
	display: inline-block;
}
.siteForm[data-mode="conf"] form dd > *:not(.holder):not(.stay) {
	display: none;
}

/* input
 ------------------------------------------------------------------------------*/
.siteForm input[type="text"],
.siteForm textarea {
	width: 100%;
	padding: 5px;
	border: 1px solid #7F9DB9;
	border-radius: 3px;
}
.siteForm input[type="text"] {
	height: 35px;
}
.siteForm textarea {
	height: 60px;
	line-height: 1.4;
	resize: vertical;
}
.siteForm input.half {
	width: 50%;
}

/* select */
.siteForm select {
	display: inline-block;
	height: 35px;
	border: 1px solid #7F9DB9;
}

/* label */
.siteForm label {
	display: flex;
	align-items: center;
	gap: 7px;
	cursor: pointer;
}
.siteForm label input:checked + span {
	color: #096;
}
.siteForm label.if {
	display: inline-flex;
}
.siteForm label.if:not(:last-child) {
	margin-right: 15px;
}

/* none */
.siteForm[data-mode="conf"] input:not([type="hidden"]),
.siteForm[data-mode="conf"] textarea,
.siteForm[data-mode="conf"] select,
.siteForm[data-mode="conf"] label {
	display: none;
}

/*------------------------------------------------------------------------------
 submit
 ------------------------------------------------------------------------------*/
.submit {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 15px;
	text-align: center;
	margin: 25px 0;
}

/* button */
.submit button {
	appearance: none;
	display: none;
	width: 250px;
	height: 46px;
	padding: 0 20px;
	cursor: pointer;
	font-size: 18px;
	font-weight: bold;
	letter-spacing: 5px;
	color: #FFF;
	background: linear-gradient(#3BE, #39D 50%);
	border: 0;
	border-radius: 40px;
}
.submit button:hover,
.submit button:active {
	opacity: 0.8;
}

/* back */
.submit button[name="back"] {
	color: #FFF;
	background: #555;
}
.submit button[name="back"],
.submit button[name="back"] + button {
	width: 140px;
}
.siteForm[data-mode="form"] button[name="post"],
.siteForm[data-mode="conf"] button[name="back"],
.siteForm[data-mode="conf"] button[name="regist"] {
	display: block;
}

/* loading
 ------------------------------------------------------------------------------*/
.submit .loading {
	--size: 36px;
	position: absolute;
	top: calc(50% - var(--size) / 2);
	left: calc(50% - var(--size) / 2);
	display: none;
	width: var(--size);
	height: var(--size);
	border: 3px solid #2277FF55;
	border-top-color: #2277FF;
	border-radius: 50%;
	animation: submit_loading 1s infinite linear;
}
@keyframes submit_loading {
	  0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}
.submit.on button {
	opacity: 0.5;
}
.submit.on .loading {
	display: block;
}

/*------------------------------------------------------------------------------
 PC
 ------------------------------------------------------------------------------*/
#PC .siteForm {
	width: 600px;
	margin: 20px auto;
	padding: 15px 20px;
	border: 2px solid #CCC;
	border-radius: 8px;
}
#PC input[name=name],
#PC input[name=kana],
#PC input[name=mail],
#PC input[name=city],
#PC input[name=town],
#PC input[name=bill] {
	width: 50%;
}
